stages:
    - s1
    - s2
    - s3

variables:
    DOMAINE_TEST: formation-gitlabNLE.surge.sh
    DOMAINE_PROD: formation-gitlabNLE.surge.sh

default:
    image: alpine:latest

j1:
    stage: s1
    script:
        - sleep 5
        - echo "j1"
 
j2:
    stage: s1
    script:
        - sleep 5
        - echo "j2"

j3:
    stage: s1
    script:
        - sleep 5
        - echo "j3"

j4:
    stage: s2
    script:
        - sleep 5
        - echo "j4"

j5:
    stage: s2
    script:
        - sleep 5
        - echo "j5"

j6:
    stage: s2
    script:
        - sleep 5
        - echo "j6"

j7:
    stage: s2
    script:
        - sleep 5
        - echo "j7"

j8:
    stage: s3
    script:
        - sleep 5
        - echo "j8"

j9:
    stage: s3
    script:
        - sleep 5
        - echo "j9"

.new test:
    stage: verification
    image: node:14
    script:
        - npm ci
        - npm run serve &
        - sleep 10
        - curl http://localhost:9000 | tac | tac | grep -q "build something great"

.job surge:
    stage: deploiement
    image: node:14
    script:
        - npx surge --project ./public --domain formation-gitlabNLE.surge.sh

.deploiement prod:
    stage: deploiement prod
    when: manual
    only: [master]
    script:
        - npx surge --project ./public --domain $DOMAINE_PROD
    environment:
        name: production
        url: http://$DOMAINE_PROD